package com.mortals.xhx.module.notice.model;

import java.util.List;
import com.mortals.xhx.module.notice.model.NoticeEntity;
/**
* 学习公告查询对象
*
* @author zxfei
* @date 2023-02-23
*/
public class NoticeQuery extends NoticeEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 开始 公告类型(0.通知,1.公告) */
    private Integer noticeTypeStart;

    /** 结束 公告类型(0.通知,1.公告) */
    private Integer noticeTypeEnd;

    /** 增加 公告类型(0.通知,1.公告) */
    private Integer noticeTypeIncrement;

    /** 公告类型(0.通知,1.公告)列表 */
    private List <Integer> noticeTypeList;

    /** 公告类型(0.通知,1.公告)排除列表 */
    private List <Integer> noticeTypeNotList;

    /** 开始 发布部门id */
    private Long pubDeptIdStart;

    /** 结束 发布部门id */
    private Long pubDeptIdEnd;

    /** 增加 发布部门id */
    private Long pubDeptIdIncrement;

    /** 发布部门id列表 */
    private List <Long> pubDeptIdList;

    /** 发布部门id排除列表 */
    private List <Long> pubDeptIdNotList;

    /** 发布部门名称 */
    private List<String> pubDeptNameList;

    /** 发布部门名称排除列表 */
    private List <String> pubDeptNameNotList;
    /** 开始 查看人员(0.全部学员，1.部分学员) */
    private Integer viewPersionStart;

    /** 结束 查看人员(0.全部学员，1.部分学员) */
    private Integer viewPersionEnd;

    /** 增加 查看人员(0.全部学员，1.部分学员) */
    private Integer viewPersionIncrement;

    /** 查看人员(0.全部学员，1.部分学员)列表 */
    private List <Integer> viewPersionList;

    /** 查看人员(0.全部学员，1.部分学员)排除列表 */
    private List <Integer> viewPersionNotList;

    /** 开始 是否置顶(0.否，1.是) */
    private Integer topStart;

    /** 结束 是否置顶(0.否，1.是) */
    private Integer topEnd;

    /** 增加 是否置顶(0.否，1.是) */
    private Integer topIncrement;

    /** 是否置顶(0.否，1.是)列表 */
    private List <Integer> topList;

    /** 是否置顶(0.否，1.是)排除列表 */
    private List <Integer> topNotList;

    /** 开始 已读要求(0. 学员进入公告详情即标记为已读) */
    private Integer readRequestStart;

    /** 结束 已读要求(0. 学员进入公告详情即标记为已读) */
    private Integer readRequestEnd;

    /** 增加 已读要求(0. 学员进入公告详情即标记为已读) */
    private Integer readRequestIncrement;

    /** 已读要求(0. 学员进入公告详情即标记为已读)列表 */
    private List <Integer> readRequestList;

    /** 已读要求(0. 学员进入公告详情即标记为已读)排除列表 */
    private List <Integer> readRequestNotList;

    /** 公告内容 */
    private List<String> noticeContentList;

    /** 公告内容排除列表 */
    private List <String> noticeContentNotList;
    /** 公告文件路径 */
    private List<String> filePathList;

    /** 公告文件路径排除列表 */
    private List <String> filePathNotList;
    /** 公告文件名称 */
    private List<String> fileNameList;

    /** 公告文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NoticeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NoticeQuery> andConditionList;

    public NoticeQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 公告类型(0.通知,1.公告)
    * @return noticeTypeStart
    */
    public Integer getNoticeTypeStart(){
        return this.noticeTypeStart;
    }

    /**
    * 设置 开始 公告类型(0.通知,1.公告)
    * @param noticeTypeStart
    */
    public void setNoticeTypeStart(Integer noticeTypeStart){
        this.noticeTypeStart = noticeTypeStart;
    }

    /**
    * 获取 结束 公告类型(0.通知,1.公告)
    * @return $noticeTypeEnd
    */
    public Integer getNoticeTypeEnd(){
        return this.noticeTypeEnd;
    }

    /**
    * 设置 结束 公告类型(0.通知,1.公告)
    * @param noticeTypeEnd
    */
    public void setNoticeTypeEnd(Integer noticeTypeEnd){
        this.noticeTypeEnd = noticeTypeEnd;
    }

    /**
    * 获取 增加 公告类型(0.通知,1.公告)
    * @return noticeTypeIncrement
    */
    public Integer getNoticeTypeIncrement(){
        return this.noticeTypeIncrement;
    }

    /**
    * 设置 增加 公告类型(0.通知,1.公告)
    * @param noticeTypeIncrement
    */
    public void setNoticeTypeIncrement(Integer noticeTypeIncrement){
        this.noticeTypeIncrement = noticeTypeIncrement;
    }

    /**
    * 获取 公告类型(0.通知,1.公告)
    * @return noticeTypeList
    */
    public List<Integer> getNoticeTypeList(){
        return this.noticeTypeList;
    }

    /**
    * 设置 公告类型(0.通知,1.公告)
    * @param noticeTypeList
    */
    public void setNoticeTypeList(List<Integer> noticeTypeList){
        this.noticeTypeList = noticeTypeList;
    }

    /**
    * 获取 公告类型(0.通知,1.公告)
    * @return noticeTypeNotList
    */
    public List<Integer> getNoticeTypeNotList(){
        return this.noticeTypeNotList;
    }

    /**
    * 设置 公告类型(0.通知,1.公告)
    * @param noticeTypeNotList
    */
    public void setNoticeTypeNotList(List<Integer> noticeTypeNotList){
        this.noticeTypeNotList = noticeTypeNotList;
    }


    /**
    * 获取 开始 发布部门id
    * @return pubDeptIdStart
    */
    public Long getPubDeptIdStart(){
        return this.pubDeptIdStart;
    }

    /**
    * 设置 开始 发布部门id
    * @param pubDeptIdStart
    */
    public void setPubDeptIdStart(Long pubDeptIdStart){
        this.pubDeptIdStart = pubDeptIdStart;
    }

    /**
    * 获取 结束 发布部门id
    * @return $pubDeptIdEnd
    */
    public Long getPubDeptIdEnd(){
        return this.pubDeptIdEnd;
    }

    /**
    * 设置 结束 发布部门id
    * @param pubDeptIdEnd
    */
    public void setPubDeptIdEnd(Long pubDeptIdEnd){
        this.pubDeptIdEnd = pubDeptIdEnd;
    }

    /**
    * 获取 增加 发布部门id
    * @return pubDeptIdIncrement
    */
    public Long getPubDeptIdIncrement(){
        return this.pubDeptIdIncrement;
    }

    /**
    * 设置 增加 发布部门id
    * @param pubDeptIdIncrement
    */
    public void setPubDeptIdIncrement(Long pubDeptIdIncrement){
        this.pubDeptIdIncrement = pubDeptIdIncrement;
    }

    /**
    * 获取 发布部门id
    * @return pubDeptIdList
    */
    public List<Long> getPubDeptIdList(){
        return this.pubDeptIdList;
    }

    /**
    * 设置 发布部门id
    * @param pubDeptIdList
    */
    public void setPubDeptIdList(List<Long> pubDeptIdList){
        this.pubDeptIdList = pubDeptIdList;
    }

    /**
    * 获取 发布部门id
    * @return pubDeptIdNotList
    */
    public List<Long> getPubDeptIdNotList(){
        return this.pubDeptIdNotList;
    }

    /**
    * 设置 发布部门id
    * @param pubDeptIdNotList
    */
    public void setPubDeptIdNotList(List<Long> pubDeptIdNotList){
        this.pubDeptIdNotList = pubDeptIdNotList;
    }


    /**
    * 获取 发布部门名称
    * @return pubDeptNameList
    */
    public List<String> getPubDeptNameList(){
        return this.pubDeptNameList;
    }

    /**
    * 设置 发布部门名称
    * @param pubDeptNameList
    */
    public void setPubDeptNameList(List<String> pubDeptNameList){
        this.pubDeptNameList = pubDeptNameList;
    }

    /**
    * 获取 发布部门名称
    * @return pubDeptNameNotList
    */
    public List<String> getPubDeptNameNotList(){
        return this.pubDeptNameNotList;
    }

    /**
    * 设置 发布部门名称
    * @param pubDeptNameNotList
    */
    public void setPubDeptNameNotList(List<String> pubDeptNameNotList){
        this.pubDeptNameNotList = pubDeptNameNotList;
    }

    /**
    * 获取 开始 查看人员(0.全部学员，1.部分学员)
    * @return viewPersionStart
    */
    public Integer getViewPersionStart(){
        return this.viewPersionStart;
    }

    /**
    * 设置 开始 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionStart
    */
    public void setViewPersionStart(Integer viewPersionStart){
        this.viewPersionStart = viewPersionStart;
    }

    /**
    * 获取 结束 查看人员(0.全部学员，1.部分学员)
    * @return $viewPersionEnd
    */
    public Integer getViewPersionEnd(){
        return this.viewPersionEnd;
    }

    /**
    * 设置 结束 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionEnd
    */
    public void setViewPersionEnd(Integer viewPersionEnd){
        this.viewPersionEnd = viewPersionEnd;
    }

    /**
    * 获取 增加 查看人员(0.全部学员，1.部分学员)
    * @return viewPersionIncrement
    */
    public Integer getViewPersionIncrement(){
        return this.viewPersionIncrement;
    }

    /**
    * 设置 增加 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionIncrement
    */
    public void setViewPersionIncrement(Integer viewPersionIncrement){
        this.viewPersionIncrement = viewPersionIncrement;
    }

    /**
    * 获取 查看人员(0.全部学员，1.部分学员)
    * @return viewPersionList
    */
    public List<Integer> getViewPersionList(){
        return this.viewPersionList;
    }

    /**
    * 设置 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionList
    */
    public void setViewPersionList(List<Integer> viewPersionList){
        this.viewPersionList = viewPersionList;
    }

    /**
    * 获取 查看人员(0.全部学员，1.部分学员)
    * @return viewPersionNotList
    */
    public List<Integer> getViewPersionNotList(){
        return this.viewPersionNotList;
    }

    /**
    * 设置 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionNotList
    */
    public void setViewPersionNotList(List<Integer> viewPersionNotList){
        this.viewPersionNotList = viewPersionNotList;
    }


    /**
    * 获取 开始 是否置顶(0.否，1.是)
    * @return topStart
    */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
    * 获取 结束 是否置顶(0.否，1.是)
    * @return $topEnd
    */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
    * 获取 增加 是否置顶(0.否，1.是)
    * @return topIncrement
    */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topList
    */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topNotList
    */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topNotList
    */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
    * 获取 开始 已读要求(0. 学员进入公告详情即标记为已读)
    * @return readRequestStart
    */
    public Integer getReadRequestStart(){
        return this.readRequestStart;
    }

    /**
    * 设置 开始 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestStart
    */
    public void setReadRequestStart(Integer readRequestStart){
        this.readRequestStart = readRequestStart;
    }

    /**
    * 获取 结束 已读要求(0. 学员进入公告详情即标记为已读)
    * @return $readRequestEnd
    */
    public Integer getReadRequestEnd(){
        return this.readRequestEnd;
    }

    /**
    * 设置 结束 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestEnd
    */
    public void setReadRequestEnd(Integer readRequestEnd){
        this.readRequestEnd = readRequestEnd;
    }

    /**
    * 获取 增加 已读要求(0. 学员进入公告详情即标记为已读)
    * @return readRequestIncrement
    */
    public Integer getReadRequestIncrement(){
        return this.readRequestIncrement;
    }

    /**
    * 设置 增加 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestIncrement
    */
    public void setReadRequestIncrement(Integer readRequestIncrement){
        this.readRequestIncrement = readRequestIncrement;
    }

    /**
    * 获取 已读要求(0. 学员进入公告详情即标记为已读)
    * @return readRequestList
    */
    public List<Integer> getReadRequestList(){
        return this.readRequestList;
    }

    /**
    * 设置 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestList
    */
    public void setReadRequestList(List<Integer> readRequestList){
        this.readRequestList = readRequestList;
    }

    /**
    * 获取 已读要求(0. 学员进入公告详情即标记为已读)
    * @return readRequestNotList
    */
    public List<Integer> getReadRequestNotList(){
        return this.readRequestNotList;
    }

    /**
    * 设置 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestNotList
    */
    public void setReadRequestNotList(List<Integer> readRequestNotList){
        this.readRequestNotList = readRequestNotList;
    }


    /**
    * 获取 公告内容
    * @return noticeContentList
    */
    public List<String> getNoticeContentList(){
        return this.noticeContentList;
    }

    /**
    * 设置 公告内容
    * @param noticeContentList
    */
    public void setNoticeContentList(List<String> noticeContentList){
        this.noticeContentList = noticeContentList;
    }

    /**
    * 获取 公告内容
    * @return noticeContentNotList
    */
    public List<String> getNoticeContentNotList(){
        return this.noticeContentNotList;
    }

    /**
    * 设置 公告内容
    * @param noticeContentNotList
    */
    public void setNoticeContentNotList(List<String> noticeContentNotList){
        this.noticeContentNotList = noticeContentNotList;
    }

    /**
    * 获取 公告文件路径
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 公告文件路径
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
    * 获取 公告文件路径
    * @return filePathNotList
    */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
    * 设置 公告文件路径
    * @param filePathNotList
    */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
    * 获取 公告文件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 公告文件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
    * 获取 公告文件名称
    * @return fileNameNotList
    */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
    * 设置 公告文件名称
    * @param fileNameNotList
    */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public NoticeQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public NoticeQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public NoticeQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public NoticeQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public NoticeQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public NoticeQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param title
    */
    public NoticeQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public NoticeQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  公告类型(0.通知,1.公告)
    * @param noticeType
    */
    public NoticeQuery noticeType(Integer noticeType){
	    setNoticeType(noticeType);
		return this;
    }
	
	 /**
    * 设置 开始 公告类型(0.通知,1.公告)
    * @param noticeTypeStart
    */
    public NoticeQuery noticeTypeStart(Integer noticeTypeStart){
		this.noticeTypeStart = noticeTypeStart;
		return this;
    }

    /**
    * 设置 结束 公告类型(0.通知,1.公告)
    * @param noticeTypeEnd
    */
    public NoticeQuery noticeTypeEnd(Integer noticeTypeEnd){
		this.noticeTypeEnd = noticeTypeEnd;
		return this;
    }

    /**
    * 设置 增加 公告类型(0.通知,1.公告)
    * @param noticeTypeIncrement
    */
    public NoticeQuery noticeTypeIncrement(Integer noticeTypeIncrement){
		this.noticeTypeIncrement = noticeTypeIncrement;
		return this;
    }

    /**
    * 设置 公告类型(0.通知,1.公告)
    * @param noticeTypeList
    */
    public NoticeQuery noticeTypeList(List<Integer> noticeTypeList){
        this.noticeTypeList = noticeTypeList;
		return this;
        }

        /**
        * 设置 公告类型(0.通知,1.公告)
        * @param noticeTypeNotList
        */
        public NoticeQuery noticeTypeNotList(List<Integer> noticeTypeNotList){
        this.noticeTypeNotList = noticeTypeNotList;
        return this;
        }

    /**
    * 设置  发布部门id
    * @param pubDeptId
    */
    public NoticeQuery pubDeptId(Long pubDeptId){
	    setPubDeptId(pubDeptId);
		return this;
    }
	
	 /**
    * 设置 开始 发布部门id
    * @param pubDeptIdStart
    */
    public NoticeQuery pubDeptIdStart(Long pubDeptIdStart){
		this.pubDeptIdStart = pubDeptIdStart;
		return this;
    }

    /**
    * 设置 结束 发布部门id
    * @param pubDeptIdEnd
    */
    public NoticeQuery pubDeptIdEnd(Long pubDeptIdEnd){
		this.pubDeptIdEnd = pubDeptIdEnd;
		return this;
    }

    /**
    * 设置 增加 发布部门id
    * @param pubDeptIdIncrement
    */
    public NoticeQuery pubDeptIdIncrement(Long pubDeptIdIncrement){
		this.pubDeptIdIncrement = pubDeptIdIncrement;
		return this;
    }

    /**
    * 设置 发布部门id
    * @param pubDeptIdList
    */
    public NoticeQuery pubDeptIdList(List<Long> pubDeptIdList){
        this.pubDeptIdList = pubDeptIdList;
		return this;
        }

        /**
        * 设置 发布部门id
        * @param pubDeptIdNotList
        */
        public NoticeQuery pubDeptIdNotList(List<Long> pubDeptIdNotList){
        this.pubDeptIdNotList = pubDeptIdNotList;
        return this;
        }


	/**
    * 设置 发布部门名称
    * @param pubDeptName
    */
    public NoticeQuery pubDeptName(String pubDeptName){
        setPubDeptName(pubDeptName);
		return this;
    }

    /**
    * 设置 发布部门名称
    * @param pubDeptNameList
    */
    public NoticeQuery pubDeptNameList(List<String> pubDeptNameList){
        this.pubDeptNameList = pubDeptNameList;
		return this;
    }

    /**
    * 设置  查看人员(0.全部学员，1.部分学员)
    * @param viewPersion
    */
    public NoticeQuery viewPersion(Integer viewPersion){
	    setViewPersion(viewPersion);
		return this;
    }
	
	 /**
    * 设置 开始 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionStart
    */
    public NoticeQuery viewPersionStart(Integer viewPersionStart){
		this.viewPersionStart = viewPersionStart;
		return this;
    }

    /**
    * 设置 结束 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionEnd
    */
    public NoticeQuery viewPersionEnd(Integer viewPersionEnd){
		this.viewPersionEnd = viewPersionEnd;
		return this;
    }

    /**
    * 设置 增加 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionIncrement
    */
    public NoticeQuery viewPersionIncrement(Integer viewPersionIncrement){
		this.viewPersionIncrement = viewPersionIncrement;
		return this;
    }

    /**
    * 设置 查看人员(0.全部学员，1.部分学员)
    * @param viewPersionList
    */
    public NoticeQuery viewPersionList(List<Integer> viewPersionList){
        this.viewPersionList = viewPersionList;
		return this;
        }

        /**
        * 设置 查看人员(0.全部学员，1.部分学员)
        * @param viewPersionNotList
        */
        public NoticeQuery viewPersionNotList(List<Integer> viewPersionNotList){
        this.viewPersionNotList = viewPersionNotList;
        return this;
        }

    /**
    * 设置  是否置顶(0.否，1.是)
    * @param top
    */
    public NoticeQuery top(Integer top){
	    setTop(top);
		return this;
    }
	
	 /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public NoticeQuery topStart(Integer topStart){
		this.topStart = topStart;
		return this;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public NoticeQuery topEnd(Integer topEnd){
		this.topEnd = topEnd;
		return this;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public NoticeQuery topIncrement(Integer topIncrement){
		this.topIncrement = topIncrement;
		return this;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public NoticeQuery topList(List<Integer> topList){
        this.topList = topList;
		return this;
        }

        /**
        * 设置 是否置顶(0.否，1.是)
        * @param topNotList
        */
        public NoticeQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
        }

    /**
    * 设置  已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequest
    */
    public NoticeQuery readRequest(Integer readRequest){
	    setReadRequest(readRequest);
		return this;
    }
	
	 /**
    * 设置 开始 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestStart
    */
    public NoticeQuery readRequestStart(Integer readRequestStart){
		this.readRequestStart = readRequestStart;
		return this;
    }

    /**
    * 设置 结束 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestEnd
    */
    public NoticeQuery readRequestEnd(Integer readRequestEnd){
		this.readRequestEnd = readRequestEnd;
		return this;
    }

    /**
    * 设置 增加 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestIncrement
    */
    public NoticeQuery readRequestIncrement(Integer readRequestIncrement){
		this.readRequestIncrement = readRequestIncrement;
		return this;
    }

    /**
    * 设置 已读要求(0. 学员进入公告详情即标记为已读)
    * @param readRequestList
    */
    public NoticeQuery readRequestList(List<Integer> readRequestList){
        this.readRequestList = readRequestList;
		return this;
        }

        /**
        * 设置 已读要求(0. 学员进入公告详情即标记为已读)
        * @param readRequestNotList
        */
        public NoticeQuery readRequestNotList(List<Integer> readRequestNotList){
        this.readRequestNotList = readRequestNotList;
        return this;
        }


	/**
    * 设置 公告内容
    * @param noticeContent
    */
    public NoticeQuery noticeContent(String noticeContent){
        setNoticeContent(noticeContent);
		return this;
    }

    /**
    * 设置 公告内容
    * @param noticeContentList
    */
    public NoticeQuery noticeContentList(List<String> noticeContentList){
        this.noticeContentList = noticeContentList;
		return this;
    }


	/**
    * 设置 公告文件路径
    * @param filePath
    */
    public NoticeQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 公告文件路径
    * @param filePathList
    */
    public NoticeQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }


	/**
    * 设置 公告文件名称
    * @param fileName
    */
    public NoticeQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 公告文件名称
    * @param fileNameList
    */
    public NoticeQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public NoticeQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NoticeQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NoticeQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NoticeQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NoticeQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NoticeQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NoticeQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NoticeQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NoticeQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NoticeQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NoticeQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NoticeQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NoticeQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NoticeQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NoticeQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NoticeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NoticeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NoticeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}